Ticket #32590

簡単音声設定でJTalkの「速さ」が5ずつ変化しない

Open Date: 2013-12-14 08:57 Last Update: 2014-01-21 11:49

Reporter: nishimoto Owner: nishimoto
Type: Bugs Status: Closed
Component: 音声合成 MileStone: 2014.1jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

簡単音声設定でJTalkの「速さ」が5ずつ変化しない、また他の項目から「速さ」に戻ると値が1ずれている、というご報告をいただいており、2013.3jp リリース候補版で再現されています。

具体的にはデスクトップ NVDA+Ctrl+左右矢印 で「速さ」に移動し、NVDA+Ctrl+上下矢印 で音声のスピードが増減という操作です。 (ラップトップの場合は NVDA+Shift+Ctrl+矢印)

JTALKの場合、増加と減少がそれぞれ下記のようになるとのことです:

0→5→9→13→17→21→25→29→33→37→41→45→49→53→57→61→65→69→73→77→81→85→89→93→97→100

100→95→89→83→77→71→65→59→53→47→41→35→29→23→17→11→5→0

JTalk は速さの値を設定するときに、内部で使われる設定値に変換して保存しているのですが、実数値から整数値への変換で不一致が起きている可能性があります。

Attachment File List

No attachments

Ticket History (3/3 Histories)

2013-12-14 08:57 Updated by: nishimoto
  • New Ticket "簡単音声設定でJTalkの「速さ」が5ずつ変化しない" created
2013-12-18 22:03 Updated by: nishimoto
  • Milestone Update from (None) to 2014.1jp (closed)
  • Resolution Update from None to Fixed
  • Type Update from Support Request to Bugs
Comment

以下のコミットで setRate された値をそのまま getRate するように JTalk ドライバを修正しました。

nvdajpmiscdep master aee8d33

2014-01-21 11:49 Updated by: nishimoto
  • Ticket Close date is changed to 2014-01-21 11:49
  • Status Update from Open to Closed

Edit

Please login to add comment to this ticket » Login